textures/terrain/rock_moss3_512
{
	{
	  map	textures/terrain/rock_moss3_512.tga

	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

textures/terrain/rock_moss4_512
{
	{
	  map	textures/terrain/rock_moss4_512.tga

	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

textures/terrain/rock_moss2_512
{
	q3map_surfacelight 100
	q3map_lightRGB .4 .8 0

	{
	  map	textures/terrain/rc_rock3_lichen1024.tga	 

	}

	{
		map textures/terrain/rock_moss2_512.tga
		tcmod scale 2 2
 
	  blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	  alphagen vertex
	}
	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

textures\terrain\rc_rock
{

	q3map_noclip
	q3map_notjunc
	{
		map	textures/terrain/rc_rock3_lichen1024.tga
	}	
	{
	  map	textures/terrain/moss_rock60_512.tga
	  blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	  alphagen vertex
	  tcmod scale 2 2
	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color

	}	
}

textures\terrain\rc_sand
{
//	q3map_clipmodel
	q3map_noclip
	q3map_notjunc
	
	{
	  map	textures/terrain/rc_rock3_lichen1024.tga	 

	}	
	{
		map	textures/terrain/sand_2.jpg
		tcmod scale 3 4
 
	  blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	  alphagen vertex
	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

models/mapobjects/foliage/leaf16
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/foliage/leaf16.tga 
   		alphaFunc GE128  
//   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	}
	{
		map $lightmap 
		depthFunc equal
		blendfunc gl_dst_color gl_src_color
	}

}

models/mapobjects/foliage/stem1
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map models/mapobjects/foliage/stem1.tga 
   		alphaFunc GE128  
//  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	}
	{
		map $lightmap 
		depthFunc equal
		blendfunc gl_dst_color gl_src_color
	}

}

textures/cave/spiderweb01
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/cave/spiderweb01.tga 
  		alphaFunc GE128  
//  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
//		rgbGen identity   
	}
	{
		map $lightmap 
		depthFunc equal
		blendfunc gl_dst_color gl_src_color
	}

}

textures/cave/vines
{ 
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none  
	nopicmip 
	nomipmaps
	deformVertexes wave 5 sin 0 .3 0 .3

	{ 
   		
            map textures/cave/vines.tga 
   		alphaFunc GE128  
//   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
		rgbGen vertex   
	}
	{
		map $lightmap 
		depthFunc equal
		blendfunc gl_dst_color gl_src_color
	}

}

/////// Treasure Chest  //////

models/mapobjects/br_chest/br_chest
{
	{
	  map	models/mapobjects/br_chest/br_chest.tga

	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

models/mapobjects/br_chest/br_coins
{
q3map_surfacelight 2000
q3map_lightrgb 1 .8 .4
	{
	  map	models/mapobjects/br_chest/br_coins.tga

	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

models/mapobjects/br_chest/br_raiders
{
	{
	  map	models/mapobjects/br_chest/br_raiders.tga

	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

models/mapobjects/br_chest/br_whip
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps

	{ 
   		
            map models/mapobjects/br_chest/br_whip.tga 
   		alphaFunc GE128  
//  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
//		rgbGen vertex   
	}
	{
		map $lightmap 
		depthFunc equal
		blendfunc gl_dst_color gl_src_color
	}

}

/////// Shrine /////

models/mapobjects/br_shrine/br-candle
{
q3map_surfacelight 300
q3map_lightrgb 1 .95 .35

	{
	  map	models/mapobjects/br_shrine/br-candle.tga

	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

models/mapobjects/br_shrine/br_candle
{
q3map_surfacelight 300
q3map_lightrgb 1 .15 .35

	{
	  map	models/mapobjects/br_shrine/br_candle.tga

	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

models/mapobjects/br_shrine/br_stick
{
	q3map_surfacelight 100
	q3map_lightrgb 1 .95 .95

	{
	  map	models/mapobjects/br_shrine/br_stick.tga

	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

models/mapobjects/br_shrine/br_stone1
{
q3map_nonplanar
	{
	  map	models/mapobjects/br_shrine/br_stone1.tga

	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

models/mapobjects/br_shrine/br_wax
{ 
	surfaceparm alphashadow
	cull none  
	nopicmip 
	nomipmaps
	q3map_surfacelight 100
	q3map_lightrgb 1 .95 .95

	{ 
   		
            map models/mapobjects/br_shrine/br_wax.tga 
   		alphaFunc GE128  
//  		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite
//		rgbGen vertex   
	}
	{
		map $lightmap 
		depthFunc equal
		blendfunc gl_dst_color gl_src_color
	}

}

////// Mushrooms //////

textures/jeffj/dncopy
{
q3map_nonplanar
	{
	  map	textures/jeffj/dncopy.tga

	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

textures/jeffj/bottomwall
{
q3map_nonplanar
	{
	  map	textures/jeffj/bottomwall.tga

	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

textures/jeffj/MediumBrownSuede
{
q3map_nonplanar
	{
	  map	textures/jeffj/MediumBrownSuede.tga

	}	
	{
	  map	$lightmap
	  blendfunc gl_dst_color gl_src_color
	}	
}

////////// Water ///////////

textures/liquids/pool3d_5egreen
	{
		qer_editorimage textures/liquids/pool3d_5egreen.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_surfacelight 30
		q3map_lightrgb .3 .95 .3
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendfunc gl_dst_color gl_src_color
			rgbgen identity		
		}
	

}

textures/liquids/pool3d_3green
	{
		qer_editorimage textures/liquids/pool3d_3green.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		q3map_surfacelight 30
		q3map_lightrgb .3 .95 .3	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendfunc gl_dst_color gl_src_color
			rgbgen identity		
		}
	

}
